VStorage Object Manager Base Revert V Storage Object Ex Task

VStorage Object Manager Base Revert V Storage Object Ex Task
Reverts to a given snapshot of a VStorageObject.

Reverts to a given snapshot of a VStorageObject.

This operation is supported on detached VirtualDisks During revert all the snapshots which were taken after the specified snapshot would get deleted.

E.g. Consider Disk with 4 snapshots

BaseDisk -> Snap-2 -> Snap-3 -> Snap-4 -> Running-Point

If user chooses to revert to snap-2 then snap-4 and snap-3 would also be deleted. After revert operation disk would have below configuration:

BaseDisk -> Snap-2 -> Running-Point

Requires Datastore.FileManagement privilege.

Since: vSphere API Release 8.0.2.0

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/VStorageObjectManagerBase/{moId}/RevertVStorageObjectEx_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VStorageObjectManagerBase/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RevertVStorageObjectExRequestType of type(s) application/json
Required

Show optional properties

{
    "id": {},
    "datastore": {},
    "snapshotId": {}
}
{
    "id": {
        "_typeName": "string",
        "id": "string"
    },
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "snapshotId": {
        "_typeName": "string",
        "id": "string"
    }
}
id
Required

The ID of the virtual storage object.

datastore
Required

The datastore where the source virtual storage object is located.

snapshotId
Required

The ID of the snapshot of a virtual storage object.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

FileFault: If an error occurs while snapshotting the virtual storage object.

InvalidDatastore: If the operation cannot be performed on the datastore.

InvalidState: If the operation cannot be performed on the disk.

NotFound: If specified virtual storage object cannot be found.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"{}","datastore":"{}","snapshotId":"{}"}' https://{api_host}/sdk/vim25/{release}/VStorageObjectManagerBase/{moId}/RevertVStorageObjectEx_Task